
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解Linux系统中的守护进程 / iVAN</title>

    <meta name="description" content="详解Linux系统中的守护进程 守护进程daemon,是生存期较长的一种进程.它们常常在系统自举时启动,仅在系统关闭时才终止.因为它们没有控制终端,所以说它们是在后台运行的.UNIX系统有很多守护进程,它们执行日常事务活动. 1.系统自举 自举(bootstrapping)一词来自于人都是靠自身的&quot;自举&quot;机构站立起来的这一思想.计算机必须具备自举能力将自己所有的元件激活,以便能完成加载操作系统这一目的,然后再由操作系统承担起那些单靠自举代码无法完成的更复杂的任务. 自举只有两个功能:加电自检和磁盘引导. 加 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解Linux系统中的守护进程</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>守护进程daemon，是生存期较长的一种进程。它们常常在系统自举时启动，仅在系统关闭时才终止。因为它们没有控制终端，所以说它们是在后台运行的。UNIX系统有很多守护进程，它们执行日常事务活动。</p>
<p><strong>1、系统自举</strong></p>
<p>自举（bootstrapping）一词来自于人都是靠自身的“自举”机构站立起来的这一思想。计算机必须具备自举能力将自己所有的元件激活，以便能完成加载操作系统这一目的，然后再由操作系统承担起那些单靠自举代码无法完成的更复杂的任务。</p>
<p>自举只有两个功能：加电自检和磁盘引导。</p>
<p>加电自检：当我们按下计算机电源开关时，头几秒钟机器似乎什么反应也没有，其实，这时的计算机正在进行加电自检，以断定它的所有元件都在正确地工作。如果某个元件有故障，显示器上就会出现报警提示信息（如果显示器也不能正常工作，则以一串嘟嘟声来报警）。由于大多数计算机工作非常可靠，加电自检报警非常罕见。</p>
<p>磁盘引导：查找装有操作系统的磁盘驱动器。从磁盘加载操作系统的原因有二，一是操作系统升级简单容易，二是使用户拥有选择操作系统的自由。</p>
<p>当加电自检和磁盘引导完成时，自举操作就启动一个读写操作系统文件和将它们复制到随机存储器中的过程，此时的机器才是真正意义上的计算机。计算机的启动可以有冷启动和热启动两种方式 ，它们之间的差别是热启动不进行机器的自检（机器本身配置的检查与测试），当计算机在使用过程中由于某些原因造成死机时，可以对计算机进行热启动处理。</p>
<p><strong><br />
2、守护进程的概念</strong><br />
通过ps axj命令可以查看到守护进程：<br />
参数a表示不仅列当前用户的进程，也列出所有其他用户的进程，参数x表示不仅列有控制终端的进程，也列出所有无控制终端的进程，参数j表示列出与作业控制相关的信息。<br />
 </p>
<p>代码如下:<br />
PPID PID PGID SID TTY TPGID STAT UID TIME COMMAND<br />
0 1 1 1 ? -1 Ss 0 0:01 /sbin/init<br />
0 2 0 0 ? -1 S&lt; 0 0:00 [kthreadd]<br />
2 3 0 0 ? -1 S&lt; 0 0:00 [migration/0]<br />
2 4 0 0 ? -1 S&lt; 0 0:00 [ksoftirqd/0]...<br />
1 2373 2373 2373 ? -1 S&lt;s 0 0:00 /sbin/udevd --daemon...<br />
1 4680 4680 4680 ? -1 Ss 0 0:00 /usr/sbin/acpid -c /etc...<br />
1 4808 4808 4808 ? -1 Ss 102 0:00 /sbin/syslogd -u syslog...<br />
<br />凡是TPGID一栏写着-1的都是没有控制终端的进程，也就是守护进程。在COMMAND一列用[]括起来的名字表示内核线程，这些线程在内核里创建，没有用户空间代码，因此没有程序文件名和命令行，通常采用以k开头的名字，表示Kernel。init进程我们已经很熟悉了，udevd负责维护/dev目录下的设备文件，acpid负责电源管理，syslogd负责维护/var/log下的日志文件，可以看出，守护进程通常采用以d结尾的名字，表示Daemon。<br />
创建守护进程最关键的一步是调用setsid函数创建一个新的Session，并成为Session Leader。</p>
<p>例子：</p>
<p> </p>
<p>C/C++ Code复制内容到剪贴板</p>
<ol>
<li>void daemonize(void)</li>
<li>{</li>
<li>pid_t pid;</li>
<li>printf("into deamonizen");</li>
<li> </li>
<li>if (pid = fork() &lt; 0)</li>
<li>{</li>
<li>perror("fork");</li>
<li>exit(1);</li>
<li>}</li>
<li>else if (pid != 0)</li>
<li>{</li>
<li>exit(0);</li>
<li>}</li>
<li> </li>
<li>setsid();</li>
<li> </li>
<li> </li>
<li>if (chdir("/") &lt; 0)</li>
<li>{</li>
<li>perror("chdir");</li>
<li>exit(1);</li>
<li>}</li>
<li> </li>
<li>close(0);</li>
<li>open("/dev/null", O_RDWR);</li>
<li>dup2(0, 1);</li>
<li>dup2(0, 2);</li>
<li> </li>
<li>printf("out deamonizen");</li>
<li>}</li>
</ol>
<p><strong>3、编写守护进程</strong></p>
<p>在编写守护进程程序时，需遵循一些基本规则：</p>
<p>（1）首先要做的是调用umask将文件模式创建屏蔽字设置为0。 <br />
（2）调用fork，然后使父进程退出。 <br />
（3）调用setsid以创建一个新会话。 <br />
（4）将当前工作目录更改为根目录。 <br />
（5）关闭不再需要的文件描述符。 <br />
（6）某些守护进程打开/dev/null使其具有文件描述符0、1和2，任何一个试图读标准输入、写标准输出或标准出错的库例程都不会产生任何效果。</p>
<p>与守护进程有关的一个问题是如何处理出错消息，需要有一个集中的守护进程出错记录设施，这就是syslogd进程。</p>
<p><strong>4、守护进程惯例</strong></p>
<p>为了正常运作，某些守护进程实现为单实例的，有就是在任一时刻只运行该守护进程的一个副本。文件锁和记录锁机制是一种方法的基础，该方法用来保证一个守护进程只有一个副本在运行。 <br />
在UNIX系统中，守护进程遵循下列公共惯例：</p>
<p>（1）若守护进程使用锁文件，那么该文件通常存放在/var/run目录中。锁文件的名字通常是name.pid，name是该守护进程或服务的名字。 <br />
（2）若守护进程支持配置选项，那么配置文件通常存放在/etc目录中。配置文件的名字通常是name.conf。 <br />
（3）守护进程可用命令行启动，但通常它们是由系统初始化脚本启动的。 <br />
（4）若一守护进程有一配置文件，那么当该守护进程启动时，它读该文件，但在此之后一般就不会再查看它。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-14 17:59:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%b3%bb%e7%bb%9f/" title="系统">系统</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a1%e7%ae%97%e6%9c%ba/" title="计算机">计算机</a>, <a href="https://www.iamivan.net/tag/%e7%a3%81%e7%9b%98/" title="磁盘">磁盘</a>, <a href="https://www.iamivan.net/tag/%e6%93%8d%e4%bd%9c%e7%b3%bb%e7%bb%9f/" title="操作系统">操作系统</a>, <a href="https://www.iamivan.net/tag/%e8%bf%9b%e7%a8%8b/" title="进程">进程</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a7%e5%88%b6/" title="控制">控制</a>, <a href="https://www.iamivan.net/tag/%e5%ae%88%e6%8a%a4%e8%bf%9b%e7%a8%8b/" title="守护进程">守护进程</a>, <a href="https://www.iamivan.net/tag/axjs2-netjavawebservice/" title="axjs2&period;netjavawebservice">axjs2&period;netjavawebservice</a>, <a href="https://www.iamivan.net/tag/linux%e5%ae%88%e6%8a%a4%e8%bf%9b%e7%a8%8b/" title="Linux守护进程">Linux守护进程</a>, <a href="https://www.iamivan.net/tag/linux%e7%b3%bb%e7%bb%9f%e5%ae%88%e6%8a%a4%e8%bf%9b%e7%a8%8b/" title="Linux系统守护进程">Linux系统守护进程</a>, <a href="https://www.iamivan.net/tag/%e5%ae%88%e6%8a%a4%e8%bf%9b%e7%a8%8b%c2%a0/" title="&num;守护进程&nbsp;">&num;守护进程&nbsp;</a>, <a href="https://www.iamivan.net/tag/bootstrap%e8%af%a6%e8%a7%a3/" title="bootstrap详解">bootstrap详解</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解Linux系统中的守护进程的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPKPOM.html" rel="bookmark">详解Linux系统中md5sum命令的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了详解Linux系统中md5sum命令的用法,用来处理MD5验证的相关操作,需要的朋友可以参考下 MD5算法常常被用来验证网络文件传输的完整性,防止文件被人篡改.MD5全称是报文摘要算法(Message-Digest Algorithm 5),此算法对任意长度的信息逐位进行计算,产生一个二进制长度为128位(十六进制长度就是32位)的&quot;指纹&quot;(或称&quot;报文摘要&quot;),不同的文件产生相 同的报文摘要的可能性是非常非常之小的. 在linux或Unix上,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MyrLrPp.html" rel="bookmark">详解Linux系统中的root权限控制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  在Linux操作系统中,root的权限是最高的,也被称为超级权限的拥有者.普通用户无法执行的操作,root用户都能完成,所以也被称之为超级管理用户. 在系统中,每个文件.目录和进程,都归属于某一个用户,没有用户许可其它普通用户是无法操作的,但对root除外.root用户的特权性还表现在root 可以超越任何用户和用户组来对文件或目录进行读取.修改或删除(在系统正常的许可范围内);对可执行程序的执行.终止;对硬件设备的添加.创建和移除等; 也可以对文件和目录进行属主和权限进行修改,以适合系统管			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zemQZ0z.html" rel="bookmark">详解Linux系统中的文件名和文件种类以及文件权限</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Linux文件种类与副文件名 一直强调一个概念,那就是:任何装置在Linux底下都是文件, 不仅如此,连资料沟通的介面也有专属的文件在负责-所以,你会?解到,Linux的文件种类真的很多- 除了前面提到的一般文件(-)与目录文件(d)之外,还有哪些种类的文件呢? * 文件种类: 我们在刚刚提到使用'ls -l'观察到第一栏那十个字元中,第一个字元为文件的类型. 除了常见的一般文件(-)与目录文件(d)之外,还有哪些种类的文件类型呢? * 正规文件(regular file ):       就是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQPGmZz.html" rel="bookmark">详解Linux系统中的进程初始化配置文件inittab</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  /etc/inittab文件描述了哪些进程开始启动并正常运行.inittab为linux初始化文件系统时init初始化程序用到的配置文件.这个文件负责设置init初始化程序初始化脚本在哪里;每个运行级初始化时运行的命令; 开机.关机.重启对应的命令;各运行级登陆时所运行的命令. inittab文件中的条目的格式如下: label:runlevels:action:process 下面分别介绍各个字段 1.label label 是一个独特的序列,确定了一个条目1 - 4字符,一些系统只支持2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZBW7z.html" rel="bookmark">详解Linux系统中Oracle数据库程序的启动和关闭方式&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在单机环境下,要想启动或关闭ORACLE系统必须首先切换到ORACLE用户,如下 su - oracle Oracle数据库有以下几种启动方式: 1. startup nomount 非安装启动,这种方式启动下可执行:重建控制文件.重建数据库 读取init.ora文件,启动instance,即启动SGA和后台进程,这种启动只需要init.ora文件. 2. startup mount dbname 安装启动,这种方式启动下可执行: 数据库日志归档. 数据库介质恢复. 使数据文件联机或脱机, 重新			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOWdLQz.html" rel="bookmark">linux系统中Nginx守护进程&lpar;自动启动nginx&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近VPS的Nginx不知道为啥,会无缘无故关掉.可能是负载过高被母鸡Kill了.但是为了保持网站在线,写了个守护进程:  代码如下 复制代码 aa=`pgrep -f nginx | wc -l` if [ &quot;$aa&quot; = 0 ] then /usr/local/nginx/sbin/nginx /usr/local/php/sbin/php-fpm start else echo &quot;the program is running&quot; fi 把以上脚本写成一个.sh文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MW19qjz.html" rel="bookmark">详解Linux系统中安装配置Samba服务器的步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  一.获取源代码包并进行解压 从samba的官方网站可以下载最新的samba源代码包.下面我们以samba-3.5.9.tar.gz的源代码包作为案例进行解析.本例中,我们将源代码包放在目录/home/samba下,然后执行下面的命令进行解压缩. 代码如下: # tar –xzvf samba-3.5.9.tar.gz 二.配置configure 对源代码包进行解压缩后,进入目录 代码如下: # cd /home/samba/samba-3.5.9/source3 然后执行下面的命令进行配置.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxPLL7M.html" rel="bookmark">详解Linux系统中的install命令的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  用法:install [选项]... [-T] 源文件 目标文件 或:install [选项]... 源文件... 目录 或:install [选项]... -t 目录 源文件... 或:install [选项]... -d 目录... 此install 将文件(通常仅是编译后的文件)复制到您所选择的目的位置. 如果您希望在GNU/Linux 操作系统上下载并安装一个即时可用的软件包, 您应当使用诸如yum(1) 和apt-get(1) 的软件包管理器. 在前三种形式中,将源文件复制到目标文			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pkA4Pob.html" rel="bookmark">详解Linux系统中的文件权限设置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你要明白的第一件事是文件权限可以用来干什么.当你设置一个分组的权限时发生了什么?让我们将其展开来说,这个概念就真的简单多了.那到底什么是权限?什么是分组呢? 你可以设置的3种权限: 1.读 - 允许该分组读文件(用r表示) 2.写 - 允许该分组写文件(用w表示) 3.执行 - 允许该分组执行(运行)文件(用x表示) 为了更好地解释这如何应用于一个分组,例如,你允许一个分组可以读写一个文件,但不能执行.或者,你可以允许一个分组读和执行一个文件,但不能写.甚至你可以允许一个分组有读.写.执行全部的			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnnEKp.html" rel="bookmark" class="title">调用winzip命令行对上传的多个文件打包压缩</a>
					<div>
						打包|命令行|上传|压缩 如何在服务器端调用winzip命令行对上传的多个文件打包压缩? 要解决这个问题,首先要了解一下Windows Scripting Host,简称为WSH!下面引用一下微软给的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBQ7az.html" rel="bookmark" class="title">PHP中的日期及时间</a>
					<div>
						PHP有很多便于使用的函数以显示及处理日期. 要以某种特定格式显示日期或时间,可使用date()函数.它有两个参数:如何显示日期的格式以及代表你所要显示日期的时间戳.这个时间戳必须是先前所提到的从 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXyvLz.html" rel="bookmark" class="title">2013年百度大更新 我们收获了些什么</a>
					<div>
						跟以前一样打开了电脑,照样通过SEO查询工具检查自己网站的收录情况,不过今天带给我的不是悲伤,而是新年的开门红,手上的三个网站不约而同的实现了页面的多收录,下面我们来看看收录情况: 从今天的收录我们可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP3RDM.html" rel="bookmark" class="title">实测百度官方SEO建议</a>
					<div>
						就在前两天百度推出新产品--&quot;SEO建议&quot;之时,收到百度通知邮件适逢凌晨1点左右,当时正好在线上,采取的获取方式依旧是使用积分来抢兑,限额500名.当时就马上登录联盟平台,进入积分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeB6jb.html" rel="bookmark" class="title">高质量C&plus;&plus;&sol;C编程指南-第10章-类的继承与组合&lpar;2&rpar;</a>
					<div>
						10.2 组合l [规则10-2-1]若在逻辑上A是B的&quot;一部分&quot;(a part of),则不允许B从A派生,而是要用A和其它东西组合出B. 例如眼(Eye).鼻(Nose).口( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w0w8p.html" rel="bookmark" class="title">黑客眼中云计算的五大漏洞</a>
					<div>
						云计算服务是一种&quot;租赁&quot;方式的IT服务交付模式,让IT服务像&quot;自来水&quot;或&quot;电&quot;一样,付费即用,不仅适合业务流量的弹性变化,也节省了自己建设. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNZZZb.html" rel="bookmark" class="title">从MySQL数据库表中检索数据</a>
					<div>
						在&lt;用MySQL创建数据库和数据库表&gt;文章中,我们如何创建一个数据库和数据库表,并知道如何向数 据库表中添加记录. 那么我们如何从数据库表中检索数据呢? 1.从数据库表中检索信息 实际上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKaxxp.html" rel="bookmark" class="title">SQL Server中转换数据库的排序规则</a>
					<div>
						本文定义了排序规则并介绍如何在 Microsoft SQL Server 中转换数据库的排序规则.有关 SQL Server 2000 的概念和讨论同样适用于 SQL Server 2005. 什么是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AeQap.html" rel="bookmark" class="title">Java多线程初学者指南（3）：使用Runnable接口创建线程</a>
					<div>
						实现Runnable接口的类必须使用Thread类的实例才能创建线程.通过Runnable接口创建线程分为两步: 1.将实现Runnable接口的类实例化. 2.建立一个Thread对象,并将第一步实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPA4jM.html" rel="bookmark" class="title">巧将PowerPoint文字转换Word文档</a>
					<div>
						你是不是因为不能把PPT课件转换成Word讲义而感到烦恼?或者对大量的PPT幻灯片内容需要打印出来而犯愁呢?下面向大家介绍4种将PPT演示文稿里的文字转换成Word文档的方法,以供参考. 一.利用大纲 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A0anp.html" rel="bookmark" class="title">Photoshop制作中国风古典园林人物</a>
					<div>
						  Photoshop制作中国风古典园林人物          这次教程主要针对如何营造照片氛围,运用最简单的画笔工具去实现场景的氛围,学会把控照片的明暗,下面就是简单几个步骤. 原图 最终效果 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj70qNM.html" rel="bookmark" class="title">DDoS攻击&colon;绝对不容忽视的安全问题</a>
					<div>
						在网络安全界,DDoS攻击已经不是一个新鲜的名词.最早的DDoS攻击可以追溯到1996年,在中国DDoS攻击于2002年开始频繁出现,2003年已经初具规模.然而近几年,这个老生常谈的网络攻击方式却以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywKYZz.html" rel="bookmark" class="title">后台运行程序多？加速人生一键清理残留</a>
					<div>
						电脑内存不够用?运行速度太慢了?你还在烦恼这一系列的问题吗?今天小编就给大伙推荐一款软件,保证你不再烦恼!电脑运行速度慢的问题再也不会发生在你的身上. 加速人生这款加速软件大家应该都熟悉:一键垃圾清理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG18Ep.html" rel="bookmark" class="title">如何使用msn聊天</a>
					<div>
						先大致的给大家讲解一下主要操作有哪些:下载MSN软件→安装→注册MSN账号→登陆MSN→添加群账号→打开群聊天窗口.关于设置个人信息的一些设置,其实关于MSN聊天软件和QQ使用差不多,大家如果熟练的掌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8y6eb.html" rel="bookmark" class="title">能否看到微群管理员对群内微博的删除记录？</a>
					<div>
						  群内微博删除记录只能查看总体数量.在&quot;群管理&quot;- &quot;管理记录&quot;-&quot;管理排行榜&quot;内查看某个管理员的操作记录和具体数值.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1yyxb.html" rel="bookmark" class="title">怎么用XMind 6中的局域网共享功能？</a>
					<div>
						  1.我们搜西安打开XMind 6思维导图后,绘制思维导图,在绘制好之后,进行保存. 随后,点击[视图]中的局域网共享按钮,打开共享窗口. 2.点击上方绿色的+号添加共享导图,在文件选择框内,选择保 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmXWWz.html" rel="bookmark" class="title">汇编语言实现以下功能代码</a>
					<div>
						问题描述 汇编语言实现以下功能代码 汇编语言实现户输入的一个句子保存成文件,然后输入一个关键字进行查询.如果句中不包含关键字则显示&quot;NO MATCH!&quot;(红色字显示),如果句中包含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZERPBp.html" rel="bookmark" class="title">Html 5 坦克大战（韩顺平版本）</a>
					<div>
						html 5代码部分如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;utf-8&quot;/&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo6VRb.html" rel="bookmark" class="title">新闻标题后的new图片-asp&period;net c&num;为最近添加的新闻列表的新闻标题后加new&period;gif</a>
					<div>
						问题描述 asp.net c#为最近添加的新闻列表的新闻标题后加new.gif indew.aspx 公司相关 行业新闻 相关文章 asp.net-从数据库读取新闻标题和url,已超链接的形式显示 j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA73lnz.html" rel="bookmark" class="title">请问如何调试&period;net 公共程序集</a>
					<div>
						问题描述 请问如何调试.net公共程序集 解决方案 解决方案二:关注!!帮你顶!!解决方案三:自己在顶一下解决方案四:把问题说清楚一些好吗?所谓调试是指如何?指调用程序集里面的方法或属性吗?解决方案五 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWBRWz.html" rel="bookmark" class="title">apache提示Failed loading ZendLoader&period;dll解决方法&lowbar;Linux</a>
					<div>
						在折腾MiniServer时,发现不管我怎么配置,apache总会提示&quot;Failed loading-ZendLoader.dll&quot;,就是说ZendLoader很悲催的没有被加载. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgJEKM.html" rel="bookmark" class="title">北京烤鸭成&OpenCurlyDoubleQuote;黑心鸭&rdquo;吃坏了谁？</a>
					<div>
						著名的北京烤鸭又出事了,被爆有人用臭肉做&quot;黑心鸭&quot;打北京烤鸭旗号欺骗人.看到对&quot;臭肉&quot;的描述,谁都会恶心,恐怕做这个鸭子的人也不会例外.可他们还是做了.由此想到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkA3Xp.html" rel="bookmark" class="title">已于近期将其所持有的汽车之家股份从66&percnt;提高到71&period;5&percnt;</a>
					<div>
						中国汽车资讯网站汽车之家今天向美国证券交易委员会(SEC)提交上市申请,计划赴美IPO(首次公开招股),最多融资1.2亿美元. 汽车之家计划登陆纽交所,股票交易代码为&quot;ATHM&quot;. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyW0Jkz.html" rel="bookmark" class="title">ASP&period;NET ListView中使用DropDownList绑定数据方法</a>
					<div>
						ASP.NET提供的大部分数据绑定控件都是使用额外的标记自动封装显示数据,举例来说,GridView控件在一个HTML表格(&lt;table&gt;)中显示它的数据,每条记录显示一行(&lt;tr& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOnPqb.html" rel="bookmark" class="title">父节点获取子节点的字符串示例代码&lowbar;javascript技巧</a>
					<div>
						1.JavaScript方法:document.getElementById(&quot;id&quot;).innerHTML; (1)实例说明 复制代码 代码如下: &lt;!DOCTYPE ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWEWKz.html" rel="bookmark" class="title">理解和使用Oracle 8i分析工具LogMiner&lowbar;oracle</a>
					<div>
						正在看的ORACLE教程是:理解和使用Oracle 8i分析工具LogMiner.Oracle LogMiner 是Oracle公司从产品8i以后提供的一个实际非常有用的分析工具,使用该工具可以轻松获 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlojlp.html" rel="bookmark" class="title">求 上传图片到数据库&lpar;在线&rpar;</a>
					<div>
						问题描述 求上传图片到数据库的示例最好能运行的由于本人是菜鸟请大家说的简单明了一些谢谢最好有示例给我看看感激啊 解决方案 解决方案二:这需要转换一下．如果你是新手,可能有一点复杂．你引用过dll吗?解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jlxVp.html" rel="bookmark" class="title">请给代码多留一些空间</a>
					<div>
						最近在几个不同的团队中发现他们的编码规范中对空格的用法大不相同.这激起了我的好奇心,因为我一直觉得,对于代码格式中的空格的使用,应该有一个大家都公认的最好的习惯.但是在现实开发中,似乎没有出现这样的统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr262OM.html" rel="bookmark" class="title">模糊语意变数、规则和模糊运算--AForge&period;NET框架的使用（二）</a>
					<div>
						原文:模糊语意变数.规则和模糊运算--AForge.NET框架的使用(二) 语意变数(Linguistic Variable) 语意变数存储了数个语意量(标签),每个语意量包含一个识别名和模糊集合.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYNZ8b.html" rel="bookmark" class="title">如何将数据局中的数据导入到datagridview 求救</a>
					<div>
						问题描述 我想把数据库中的表格在datagridview中显示,怎么导出来呢 解决方案 本帖最后由 qq_21548641 于 2014-12-08 17:18:31 编辑解决方案二:把数据库的数据抽 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
